Subject: [bug#32530] [PATCH] gnu: octave: Fix CA certificate use.

From: [email-masked] (Ludovic Courtès)
Date: Wed, 19 Sep 2018 22:18:33 +0200

Marius Bakke <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:

[...]

>>> Adding this native-search-path to the "octave" package should be
>>> sufficient.
>>
>> I think we should avoid doing this though, because conceptually
>> CURLOPT_CAPATH “belongs” to cURL, not to Octave.
>
> Conceptually maybe, but to my knowledge libcurl itself does not support
> run-time search paths (due to thread safety concerns IIRC).
>
> This search path does seem to be Octave specific.  From the ChangeLog:
>
> 2018-04-18  John W. Eaton  <[email-masked]>
>
>         allow users to set path to CA certificates for cURL
>
>         * url-transfer.cc (curl_transfer::curl_transfer): Check for
>         CURLOPT_CAINFO and CURLOPT_CAPATH environment variables.  If set, use
>         them to set the corresponding options for the cURL library.
>
>         Files: liboctave/util/url-transfer.cc

Oh, I stand corrected!  Then the patch LGTM, maybe with a comment saying
that those variables are actually Octave-specific.  :-)

Thank you!

Ludo’.